Agda-2.3.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None

Agda.Compiler.MAlonzo.Pretty

Synopsis

- prettyPrint :: (Pretty a, TransformBi ModuleName (Wrap a)) => a -> String
- newtype Wrap a = Wrap {
  - unwrap :: a
  }

# Documentation

prettyPrint :: (Pretty a, TransformBi ModuleName (Wrap a)) => a -> String

Encodes module names just before pretty-printing.

newtype Wrap a

A wrapper type used to avoid orphan instances.

Constructors

Wrap |

Fields

unwrap :: a

Instances

TransformBi ModuleName (Wrap ModuleName) |
TransformBi ModuleName (Wrap QName) |
TransformBi ModuleName (Wrap Module) |
TransformBi ModuleName (Wrap Exp) |